package ru.yandex.autotests.direct.db.steps.base;

import ru.yandex.autotests.direct.db.configuration.DBInfo;

public class BasePpcLogSteps extends BaseDbSteps {
    @Override
    protected String getUrl() {
        DBInfo res = getContext().getConfig().getConfigs().get("ppclog");
        if(res == null) {
            throw new DirectDbStepsException("Не удалось получить конфигурацию баз для среды");
        }
        return  "jdbc:mysql://" + res.getHost() + ":" + res.getPort() + "/ppclog";
    }
}
